Index: src/backend/postmaster/pgarch.c
===================================================================
RCS file: /home/sriggs/pg/REPOSITORY/pgsql/src/backend/postmaster/pgarch.c,v
retrieving revision 1.34
diff -c -r1.34 pgarch.c
*** src/backend/postmaster/pgarch.c	12 Dec 2007 09:39:54 -0000	1.34
--- src/backend/postmaster/pgarch.c	12 Dec 2007 21:01:52 -0000
***************
*** 414,419 ****
--- 414,420 ----
  {
  	char		xlogarchcmd[MAXPGPATH];
  	char		pathname[MAXPGPATH];
+ 	char		activitymsg[MAXFNAMELEN + 16];
  	char	   *dp;
  	char	   *endp;
  	const char *sp;
***************
*** 471,476 ****
--- 472,482 ----
  	ereport(DEBUG3,
  			(errmsg_internal("executing archive command \"%s\"",
  							 xlogarchcmd)));
+ 
+ 	/* Report archive command execution in PS display */
+ 	snprintf(activitymsg, sizeof(activitymsg), "archiving %s", xlog);
+ 	set_ps_display(activitymsg, false);
+ 
  	rc = system(xlogarchcmd);
  	if (rc != 0)
  	{
***************
*** 519,524 ****
--- 525,533 ----
  	ereport(DEBUG1,
  			(errmsg("archived transaction log file \"%s\"", xlog)));
  
+ 	snprintf(activitymsg, sizeof(activitymsg), "archived %s", xlog);
+ 	set_ps_display(activitymsg, false);
+ 
  	return true;
  }
  
